
ChiliProject - Feature # 720: Tagging

Status: Closed Priority: Normal
Author: Eric Davis Category: Libraries
Created: 2011-11-18 Assignee: Eric Davis
Updated: 2011-12-02 Due date:
Remote issue URL:
Affected version:
Description: This will add a tagging backend so datatypes can use them. This will not include tagging any existing 

datatypes, only the API.

Associated revisions
2011-11-25 08:23 pm - Eric Davis
[#720] Add acts-as-taggable-on gem and migration for tag support

As per the gem docs, 2.1.0 is the last Rails 2.x compatable version

2011-12-02 12:58 am - Eric Davis
[#720] Use = to show the explicit dependency

History
2011-11-18 07:06 pm - Eric Davis
Note: Used acts-as-taggable-on for https://github.com/edavis10/redmine_tags and it was good a year ago. Need to do a quick review of whats 
available.

2011-11-25 07:27 pm - Eric Davis
- Status changed from Open to Ready for review

A lot of tagging libraries have been abandoned since I last looked. acts-as-taggable-on is still maintained, works with Rails 3, and provides everything 
we need at the moment.

Pull request: https://github.com/chiliproject/chiliproject/pull/131

The code to add tagging to a model is simple, this just added tagging to issues.

<pre><code class="diff">
diff --git a/app/models/issue.rb b/app/models/issue.rb
index 233e2bb..e6eed56 100644
--- a/app/models/issue.rb
+++ b/app/models/issue.rb
@@ -14,7 +14,7 @@
 
 class Issue < ActiveRecord::Base
   include Redmine::SafeAttributes
-
+  acts_as_taggable_on :tags
   belongs_to :project
   belongs_to :tracker
   belongs_to :status, :class_name => 'IssueStatus', :foreign_key => 'status_id'
</code></pre>

Creating a usable user interface will take a bit more code though, which should be discussed in #139.
2011-11-25 08:05 pm - Felix Schäfer
Looks good to me, Holger too. Just had a look at the gem though, and it seems 2.1.0 will be the last to support rails 2.3? I think we should add an 
explicit = to the version string then and add a comment why we want to stick to that version.

2011-12-02 12:40 am - Eric Davis
- Status changed from Ready for review to Closed

Merged the pull request into unstable and added the '=' gem requirement.

Now it's time to start adding a user interface for tagging. Yay!
